AOL.com |  Mail |  Search  
REVIEWS HOW-TO VIDEO DEALS
 
Security

Java 7 and Chrome don't play well together

Oct 22nd 2012 10:00 AM EDT


In the immortal words of Lando Calrissian, "This deal keeps getting worse all the time." Apple's recent Java update removes the Java 6-compatible web plugins from OS X, forcing users that need Java in the browser to move to Oracle's Java runtime, which is at version 7. From a security and supportability standpoint, it's a sensible move.

There's a couple of flies in the ointment, however, starting with the supported browser list. While Safari, Firefox and (I believe) Opera all behave well with the new v7 plugin, one popular browser does not: Google's Chrome. The current Chrome build for Mac is 32-bit (as are the available beta/development builds), but Oracle's Java is 64-bit. You can't run a 64-bit plugin in a 32-bit browser, full stop. On OS X 10.8.2 with the Java patch, the v6 32-bit browser plugins won't work either. There's no workaround for the moment, other than to use a browser other than Chrome for your Java needs.

As Michael Horowitz (maintainer of the handy Java Tester website) points out on Computerworld's Defensive Computing blog, Chrome incompatibility isn't the only hassle with the new arrangement. If you have Apple's Java (v6) installed, adding Oracle's v7 doesn't remove the older version. In fact, there are some applications, including Talkshoe's Mac client, that won't install or run unless the Apple v6 Java framework is present. So now you've got one Java for browsers and another for... well, everything else, mostly.

The core advice for Java, at this point, is don't enable it unless you actually need it for a specific reason (such as the backup tool CrashPlan). Apple's Java Preferences applet that formerly lived in the Utilities folder is gone, replaced by a quasi-preference pane

fshare tweet
Filed under: Security, Mac, OS X
Tags: chrome, java, Mac, oracle, plugin, security
Mac iPhone
iPad iPod
Apple TV Mac 101
*